Willkommen Gast. Bitte einloggen oder registrieren. Haben Sie Ihre Aktivierungs E-Mail übersehen?
19.05.2019, 15:11:35

.
Einloggen mit Benutzername, Passwort und Sitzungslänge

Mitglieder
Statistiken
  • Beiträge insgesamt: 590289
  • Themen insgesamt: 47784
  • Heute online: 376
  • Am meisten online: 992
  • (17.11.2018, 20:17:55)
Benutzer Online

Autor Thema:  Ich kann davfs2 nicht intallieren  (Gelesen 214 mal)

0 Mitglieder und 2 Gäste betrachten dieses Thema.

Ich kann davfs2 nicht intallieren
« am: 09.05.2019, 11:10:10 »
Ich habe versucht, davfs2 zu installieren. Wenn ich in der Paketverwaltung die Anwendung anklicke, wird das Kästchen rot. Wenn ich auf "Anwenden" klicke, bekomme ich die Meldung, dass ich zuerst die defekten Pakete reparieren soll.

Mit apt-get funktioniert es folgerichtig auch nicht, da steht "Sie haben zurückgehaltene defekte Pakete". Ich nehme an, dass mit dem libneon etwas nicht in Ordnung ist.

Danke für Hilfe

Re: Ich kann davfs2 nicht intallieren
« Antwort #1 am: 09.05.2019, 13:39:02 »
Hi :)
wird schwierig ohne version und desktop...  see my sig ;)

Re: Ich kann davfs2 nicht intallieren
« Antwort #2 am: 09.05.2019, 17:17:31 »
Linux Mint 19.1 Sylvia Cinnamon 4.0.10 Kernel~4.15.0-48-generic x86_64

Linux Mint 19.1 Sylvia Cinnamon 4.0.10 Kernel~4.15.0-48-generic x86_64, also die aktuellste Version. Heute Vormittag aufgesetzt.

Re: Ich kann davfs2 nicht intallieren
« Antwort #3 am: 09.05.2019, 17:24:35 »
Wenn ich auf "Anwenden" klicke, bekomme ich die Meldung, dass ich zuerst die defekten Pakete reparieren soll.
Ist doch ein intelligenter Vorschlag.
Hast Du denn schon was in der Richtung unternommen? apt install -f -f, --fix-broken :   versucht ein System von vorhandenen beschädigten Abhängigkeiten zu korrigieren.

PS
Linux Mint 19.1 Sylvia Cinnamon
gibt es nicht.
LM-19.1 hat den Namen "tessa".
Sylvia ist LM-18.3
« Letzte Änderung: 09.05.2019, 17:40:12 von aexe »

Re: Ich kann davfs2 nicht intallieren
« Antwort #4 am: 09.05.2019, 17:40:06 »
Wenn ich auf "Anwenden" klicke, bekomme ich die Meldung, dass ich zuerst die defekten Pakete reparieren soll.
Ist doch ein intelligenter Vorschlag.
Hast Du denn schon was in der Richtung unternommen? apt install -f -f, --fix-broken :   versucht ein System von vorhandenen beschädigten Abhängigkeiten zu korrigieren.

Ja, ich habe "defekte Pakete reparieren" angewählt, hatte aber keinen Effekt. Ich habe auch keine Ahnung, welche Pakete defekt sind. Es ist auch die Rede von "zurückgehaltenen Paketen". Sagt mir nichts

Re: Ich kann davfs2 nicht intallieren
« Antwort #5 am: 09.05.2019, 17:41:38 »
Irgendeine Rückmeldung im Terminal?

Edit
Wenn nicht:
Heute Vormittag aufgesetzt.
Dann halt noch mal am Nachmittag.  ;)
« Letzte Änderung: 09.05.2019, 17:46:41 von aexe »

Re: Ich kann davfs2 nicht intallieren
« Antwort #6 am: 09.05.2019, 17:52:33 »
Irgendeine Rückmeldung im Terminal?

Ich arbeite mit der Synaptic Paketverwaltung, Ich schrieb schon, dass das Kästchen von davfs rot wird, wenn ich es anklicke. Wenn ich trotzdem Anwenden anwähle, bekomme ich eben die Meldung, dass ich die defekten Pakete reparieren soll. Konkret: "Die Änderungen können nicht angewendet werden. Bitte erst die defekten Pakete reparieren".

Aha, jetzt kommt bei "Pakete reparieren" folgende Meldung:

E: Probleme können nicht korrigiert werden, Sie haben zurückgehaltene defekte Pakete.
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
E: Auflösen der Abhängigkeiten ist fehlgeschlagen
E: Fehler: Unterbrechungen durch pkgProblemResolver::Resolve hervorgerufen; dies könnte durch zurückgehaltene Pakete verursacht worden sein.
E: Auflösen der Abhängigkeiten ist fehlgeschlagen

Mit apt-get install davfs2 bekomme ich folgende Meldung:
"Paketlisten werden gelesen...
Abhängigkeitsbaum wird aufgebaut....
Statusinformationen werden eingelesen....
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder, wenn Sie die
Unstable-Distribution verwenden, dass einige erforderliche Pakete noch
nicht erstellt wurden oder Incoming noch nicht verlassen haben.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 davfs2 : Hängt ab von: libneon27 soll aber nicht installiert werden"

Das libneon27 scheint das Problem zu machen ... aber ich bin da etwas ratlos

In der Paketverwaltung heißt das Paket davfs, bei apt-get install muss ich davfs2 angeben.


Re: Ich kann davfs2 nicht intallieren
« Antwort #7 am: 09.05.2019, 18:13:42 »
Evtl. ist bereits ein anderes libneon27-Paket installiert, z.B. libneon27-gnutls?
In der Paketverwaltung heißt das Paket davfs
Tatsächlich?

Re: Ich kann davfs2 nicht intallieren
« Antwort #8 am: 09.05.2019, 19:03:22 »
Evtl. ist bereits ein anderes libneon27-Paket installiert, z.B. libneon27-gnutls?

Ja, genau das. Soll ich es rausschmeißen und dann nochmal davfs probieren? Wenn es abhängt, wird es ja erledigt.

Ich hab mal nachgeschaut: Wenn ich libneon27-gnutls rausschmeiße, hat das erhebliche Auswirkungen. Ich würde das eher nicht tun.
« Letzte Änderung: 10.05.2019, 09:37:03 von Sonoptikon »